package circuit;

// ---------------------------------------------

public class CircuitComponent_FF_D extends CircuitComponent
{
	public CircuitComponent_FF_D( String name )
	{
		super( name, "dreg" );
		
		// Il blocco sottostante  commentato perch nel caso del flip-flop D (chiamato dreg nella sintassi Verilog)
		// viene prodotto un modulo apposito, il cui scopo  specificarne i gates, gli inputs (prima) e gli outputs (poi).
		// Nel caso delle porte logiche primitive (NAND, NOR, ...), invece, ci non avviene: i gates e la loro 
		// suddivisione in outputs (prima) e inputs (poi)  implicita, non dichiarata.
		
		/*
		inputs.add( "D" );		
		
		inputs.add( "RST" );
		
		inputs.add( "H" );
		
		outputs.add( "Q" );
				
		outputs.add( "NOT_Q" );
						
		gates.add( inputs );
		
		gates.add( outputs );
		*/
	}
	
	// Il blocco sottostante  commentato perch, pur essendo il flip-flop D un componente primitivo, esso 
	// dichiarato esplicitamente, indicandone gates, inputs (prima) e outputs (poi). L'aggiunta di gates, inputs e
	// outputs non deve quindi essere impedita, come invece avviene per le porte logiche primitive (per le quali i gates,
	// gli inputs e gli outputs sono implicitamente assunti essere gi noti).
		
	/*
	public void addGate( String gate )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add a gate to it!" );
	}
	
	public void addInput( String input )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add an input to it!" );
	}
	
	public void addOutput( String output )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add an output to it!" );
	}
	
	public void addComponent( CircuitComponent c )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add a component to it!" );
	}
	*/
}
