package circuit;

// ---------------------------------------------

public class CircuitComponent_INV3STATE extends CircuitComponent
{
	// Il costruttore ha bisogno del solo nome, essendo il tipo gi noto.
	
	public CircuitComponent_INV3STATE( String name )
	{
		super( name, "inv3state" );	// Deve essere uguale a quello del Verilog? NO, non necessariamente.
		
		outputs.add( "output" );
		
		inputs.add( "input" );
		
		inputs.add( "enable" );
									
		gates.addAll( outputs );
	
		gates.addAll( inputs );
	}
	
	// I metodi per aggiungere gates, inputs, outputs e componenti sono riscritti (overwriting): stiamo infatti parlando di un
	// componente primitivo, al quale non pu essere aggiunto nulla.
	
	public void addGate( String gate )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add a gate to it!" );
	}
	
	public void addInput( String input )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add an input to it!" );
	}
	
	public void addOutput( String output )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add an output to it!" );
	}
	
	public void addComponent( CircuitComponent c )
	{
		System.out.println( "ATTENTION: " + getName() + " is a primitive component. Can't add a component to it!" );
	}	
}