package gui;

import java.awt.Graphics;
import java.awt.Graphics2D;
import java.awt.RenderingHints;

import javax.swing.JLabel;

public class Label extends JLabel
{
	public Label( int x, int y, int width, int height )
	{
		super();
		
		setBounds( x, y, width, height );
	}
	
	public Label( int x, int y, int width, int height, String text )
	{
		super( text );
		
		setBounds( x, y, width, height );
	}
	
	protected void paintComponent( Graphics g )
	{
		Graphics2D g2D = ( Graphics2D )( g );
		
		g2D.setRenderingHint( RenderingHints.KEY_TEXT_ANTIALIASING, RenderingHints.VALUE_TEXT_ANTIALIAS_ON );
		
		super.paintComponent( g );
	}
}