package parser;

public class LTLSpecification
{
	private String specification;
	
	
	public LTLSpecification()
	{
		this( "TRUE" );
	}

	public LTLSpecification( String specification )
	{
		if ( specification != null )
			
			this.specification = specification;
		
		else
			
			this.specification = "TRUE";
	}
	
	public String getSpecification()
	{
		return specification;
	}
	
	public void addEntailer( LTLSpecification entailer )
	{
		specification = "( " + entailer.getSpecification() + " ) -> ( " + specification + " )"; 
	}
	
	public void addEntailed( LTLSpecification entailed )
	{
		specification = "( " + specification + " ) -> ( " + entailed.getSpecification() + " )"; 
	}
}