package circuit;

// ---------------------------------------------

public class CircuitLink
{
	private CircuitComponent c_IN, c_OUT;
	
	private int index_IN, index_OUT;
	
	private String wire;
	
	
	public CircuitLink()
	{
		this( null, -1, null, -1, null );
	}
	
	public CircuitLink( CircuitComponent c_IN, int index_IN, CircuitComponent c_OUT, int index_OUT, String wire )
	{
		this.c_IN = c_IN;
		
		this.index_IN = index_IN;
		
		this.c_OUT = c_OUT;
		
		this.index_OUT = index_OUT;
		
		this.wire = wire;
	}
	
	public void setComponentIn( CircuitComponent c_IN )
	{
		this.c_IN = c_IN;
	}
	
	public void setComponentOut( CircuitComponent c_OUT )
	{
		this.c_OUT = c_OUT;
	}
	
	public void setIndexIn( int index_IN )
	{
		this.index_IN = index_IN;
	}
	
	public void setIndexOut( int index_OUT )
	{
		this.index_OUT = index_OUT;
	}
	
	public void setWire( String wire )
	{
		this.wire = wire;
	}
	
	public CircuitComponent getComponentIn()
	{
		return c_IN;
	}
	
	public CircuitComponent getComponentOut()
	{
		return c_OUT;
	}	
	
	public int getIndexIn()
	{
		return index_IN;
	}
			
	public int getIndexOut()
	{
		return index_OUT;
	}
	
	public String getWire()
	{
		return wire;
	}	
}
